Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1146)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1147)
@@ -518,6 +518,8 @@
 		 * @param query
 		 */
 		public void setQuery(String query) {
+			// fix the query
+			query = query.replaceAll("^\"(.*)\"$","$1"); //$NON-NLS-1$
 			assistedQueryWidget.setText(query);
 		}
 
@@ -543,10 +545,16 @@
 		return this.queryExists(query, 0);
 	}
 	
+	/**
+	 * Checks if the specified query already exists more than the specified max count.
+	 * @param query
+	 * @param maxCount
+	 * @return
+	 */
 	protected boolean queryExists(String query, int maxCount)	{
 		int count = 0;
 		for (int i = 0; i < queryWidgets.size(); i++) {
-			if (queryWidgets.get(i).getRawString().equals(query))	{
+			if (queryWidgets.get(i).getRawString().equals(query) || queryWidgets.get(i).getQuery().toString().equals(query))	{
 				count++;
 			}
 		}
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 1146)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 1147)
@@ -169,6 +169,6 @@
 		preferences.putBoolean(EXPORT_SHOW, false);
 		
 		preferences.putBoolean(SHOW_ALL_RESULT_NODES, false);
-		preferences.putBoolean(AUTO_PERSISTENCE_ENABLED, true);
+		preferences.putBoolean(AUTO_PERSISTENCE_ENABLED, false);
 	}
 }
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1146)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1147)
@@ -532,6 +532,10 @@
 		if (key.isEmpty()) {
 			return false;
 		}
+		if (this.isDirty()) {
+			return true;
+		}
+		
 		Object lastValue = lastParameters.get(key);
 		Object newValue = this.getParameter(key);
 		if (lastValue == null) {
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1146)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1147)
@@ -70,7 +70,7 @@
 	
 	// Numbers
 	/** The T. */
-	int T = 0; // number of word
+	int numberOfWords = 0; // number of word
 
 	/** The N properties. */
 	int NProperties = 0; // number of word properties
@@ -177,7 +177,7 @@
 		}
 		
 		try {
-			T = corpus.getSize();// corpus.getLexicon(corpus.getProperty("id")).nbrOfToken();
+			numberOfWords = corpus.getSize();// corpus.getLexicon(corpus.getProperty("id")).nbrOfToken();
 		} catch (CqiClientException e) {
 			Log.severe(PropertiesCoreMessages.Properties_6 + corpus.getName() + PropertiesCoreMessages.Properties_8);
 			Log.printStackTrace(e);
@@ -200,8 +200,8 @@
 				//propertiesCounts.put(p.getName(), size);
 				//List<String> list = Arrays.asList(corpus.getLexicon(p).getForms(this.maxvalue));
 
-				int[] positions = new int[Math.min(pMaxPropertiesToDisplay, T)];
-				for(int i = 0 ; i < Math.min(pMaxPropertiesToDisplay, T) ; i++) {
+				int[] positions = new int[Math.min(pMaxPropertiesToDisplay, numberOfWords)];
+				for(int i = 0 ; i < Math.min(pMaxPropertiesToDisplay, numberOfWords) ; i++) {
 					positions[i] = i;
 				}
 				
@@ -301,7 +301,7 @@
 		
 		// counts
 		buff.append("<ul>\n"); //$NON-NLS-1$
-		buff.append("<li>" + PropertiesCoreMessages.Properties_7 + T + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+		buff.append("<li>" + PropertiesCoreMessages.Properties_7 + numberOfWords + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 		buff
 		.append("<li>" + PropertiesCoreMessages.Properties_9 + (NProperties - 1) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("<li>" + PropertiesCoreMessages.Properties_16 + NStructures + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
@@ -398,7 +398,7 @@
 		StringBuffer buff = new StringBuffer();
 
 		buff.append(PropertiesCoreMessages.Properties_40);
-		buff.append(PropertiesCoreMessages.Properties_41 + String.format(Locale.FRANCE,"%,d", T) + "\n"); //$NON-NLS-1$ 
+		buff.append(PropertiesCoreMessages.Properties_41 + String.format(Locale.FRANCE,"%,d", numberOfWords) + "\n"); //$NON-NLS-1$ 
 		buff.append(PropertiesCoreMessages.Properties_43 + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$ 
 		/*for (String s : propertiesCounts.keySet())
 			if (!s.equals("id")) //$NON-NLS-1$
@@ -476,7 +476,7 @@
 	 * @return the t
 	 */
 	public int getT() {
-		return T;
+		return numberOfWords;
 	}
 
 	/**
@@ -602,7 +602,7 @@
 
 	@Override
 	public String getDetails() {
-		return "" + T;
+		return "" + numberOfWords;
 	}
 
 	@Override
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 1146)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 1147)
@@ -179,6 +179,13 @@
 	
 	@Override
 	public boolean hasParameterChanged(String key) {
+		if (key.isEmpty()) {
+			return false;
+		}
+		if (this.isChartDirty()) {
+			return true;
+		}
+		
 		HashMap<String, Object> lastParameters = this.lastParameters;
 		if(this.parametersHistory.size() > 1)	{
 			lastParameters = this.parametersHistory.get(this.parametersHistory.size() - 2);
